/* $Id: def_mbox.h,v 2.7 2009-10-09 15:32:58 hurtta Exp $ */

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.7 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@posti.FMI.FI>
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "elm_defs.h"
#include "connection_imp.h"

#include "addrlib.h"
#include "mboxlib.h"
#include "mbx_imp.h"

#include "mime.h"


#ifdef USE_DLOPEN
extern SHAREDLIB use_shared_mbox;
#endif

extern struct out_state_type state_out_dir;


/* imap.c */

extern struct connection_cache *give_imap_connection P_((struct folder_browser *dir));


/* savefolder.c */

extern int change_dir_helper P_((struct folder_browser *dir,
				 struct string **buffer));

extern int valid_browser P_((struct browser_type    * type));

extern int select_dir_item_helper P_((struct folder_browser *dir,
				      struct string **buffer,
				      int *newpos));

/* mbox_generic.c */


#if ANSI_C
#define E_(x) extern x;
#else
#define E_(x)
#endif

/* Returns 1 if changed,
   -1 error
 */
E_(browser_reset_filter_dir browser_reset_filter_generic)
extern int browser_reset_filter_generic P_((struct folder_browser *dir));


E_(browser_select_idx_dir browser_select_idx_generic)
extern int browser_select_idx_generic P_((struct folder_browser *dir,
					struct name_vector *entry,
					struct string **buffer));



/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
